## DELETE

/v2.0/handover/providers/{providerId}

### Delete a Handover Provider

#### cURL

```
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/handover/providers/{providerId} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/handover/providers/{providerId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/handover/providers/{providerId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```


```

### Response Codes

- **204**: The handover provider was successfully deleted.

### Error Messages

```
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}
```

### Authorizations

**APIKeyHeader**
- **X-API-Key**
  - type: string
  - location: header
  - required: true
  - description: Supply the API Key in the HTTP-Header.

### Headers

- **Accept**: specifies the media type that the client expects in the response.
  - Available options:
    - application/json
    - application/hal+json
    - application/xml
    - text/xml
    - text/csv
  - Default value: application/json.

### Path Parameters

- **providerId**: the Id of the handover provider.
  - Required string length: 24
  - Pattern: ^[a-z0-9]{24}$

Last modified on July 8, 2026.
